compile insert ps_WebView_Equates
/* 
   ** Copyright (C) 2012-2023 Revelation Software Inc. All Rights Reserved **
   
   Author   : Wile C Coyote - Super Genius
   Date     : June 2022
   Purpose  : Constants for working with PS WEBVIEW object structures
   
   
   Comments
   ========
   
   
   Amended  Date        Reason
   =======  ====        ======
   Mr C     04 Dec 23   Added WEBNAVIGATED event equates
   Mr C     06 Sep 22   Changed READYSTATE equates to match enum, not bit-mask!
   Mr C     06 Sep 22   Added READYSTATE property equates
*/
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
#ifndef _PS_WEBVIEW_EQUATES_
#define _PS_WEBVIEW_EQUATES_
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   $insert ps_Equates
   $insert oiwin_Equates
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
   
   // Default minimum version - this was the version the WEBVIEW control was 
   // developed with.
   equ PS_WBV_MIN_TARGETVERSION$             to "103.0.1264.71"
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // UserDataFolder - default value if nothing is set in the Application 
   // properties or the control itself (this is so it doesn't get created 
   // under RevBoot which is the WebView2 default)
   
   equ PS_WBV_DEFAULT_UDF$                   to "%localappdata%\RevSoft\WBV\@APPID_@USERNAME"
 
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // PS Style Equates
   equ PSS_WBV_ACCEPTDROPFILES$              to 0x00000001
   equ PSS_WBV_SYNCSTATUSLINE$               to 0x00000002
   equ PSS_WBV_SYNCTITLE$                    to 0x00000008
   equ PSS_WBV_CUSTOMAUTHMODE$               to 0x00000010
   equ PSS_WBV_TRACKHISTORY$                 to 0x00000020
   equ PSS_WBV_LOGERRORS$                    to 0x00000040
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // SYSREPOSWINS structure overrides
   equ POS_WBV_CREATESETTINGS$               to POS_TEXT_5$    ; // Environment settings used to create the WebView
   equ POS_WBV_PDFTOOLBARSETTINGS$           to POS_TEXT_6$    ; // PDFTOOLBARSETTINGS property
   equ POS_WBV_SETTINGS$                     to POS_TEXT_4$    ; // SETTINGS property
   equ POS_WBV_URI$                          to POS_TEXT_1$    ; // URI property
   equ POS_WBV_USERAGENT$                    to POS_TEXT_2$    ; // USERAGENT property
   equ POS_WBV_ZOOMFACTOR$                   to POS_TEXT_3$    ; // ZOOMFACTOR property
   
///////////////////////////////////////////////////////////////////////////////

   // SYSREPOSWINEXES structure overrides
   equ PSPOS_WBV_CREATESETTINGS$             to PSPOS_TEXT_5$  ; // Environment settings used to create the WebView
   equ PSPOS_WBV_PDFTOOLBARSETTINGS$         to PSPOS_TEXT_6$  ; // PDFTOOLBARSETTINGS property
   equ PSPOS_WBV_SETTINGS$                   to PSPOS_TEXT_4$  ; // SETTINGS property
   equ PSPOS_WBV_URI$                        to PSPOS_TEXT_1$  ; // URI property
   equ PSPOS_WBV_USERAGENT$                  to PSPOS_TEXT_2$  ; // USERAGENT property
   equ PSPOS_WBV_ZOOMFACTOR$                 to PSPOS_TEXT_3$  ; // ZOOMFACTOR property
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // Create settings constants - stored @svm-delimited in the OIWIN/OIWINEXE
   // POS_WBV_CREATESETTINGS$/PSPOS_WBV_CREATESETTINGS$ value.
   
   equ WBV_CRSET_POS_USERDATAFOLDER$        to 1  ; // USERDATAFOLDER property
   equ WBV_CRSET_POS_BROWSEREXEFOLDER$      to 2  ; // BROWSEREXEFOLDER property
   equ WBV_CRSET_POS_EXTRABROWSERARGS$      to 3  ; // EXTRABROWSERARGS property
   equ WBV_CRSET_POS_ALLOWSSO$              to 4  ; // ALLOWSSO property
   equ WBV_CRSET_POS_LANGUAGE$              to 5  ; // LANGUAGE property
   equ WBV_CRSET_POS_TARGETVERSION$         to 6  ; // TARGETVERSION property
   equ WBV_CRSET_POS_EXCLUSIVEUDF$          to 7  ; // EXCLUSIVEUDFACCESS property
   equ WBV_CRSET_POS_PROFILENAME$           to 8  ; // PROFILENAME property
   equ WBV_CRSET_POS_INPRIVATEMODE$         to 9  ; // INPRIVATEMODE property
   equ WBV_CRSET_POS_COLORSCHEME$           to 10 ; // COLORSCHEME property
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // AUTHENTICATIONMODE property   
   equ WBV_AUTHMODE_DEFAULT$                to 0 ; // Ignore WEBAUTHREQUEST event
   equ WBV_AUTHMODE_CUSTOM$                 to 1 ; // Use WEBAUTHREQUEST event

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // COLORSCHEME property   
   equ WBV_COLORSCHEME_AUTO$                to 0
   equ WBV_COLORSCHEME_LIGHT$               to 1
   equ WBV_COLORSCHEME_DARK$                to 2
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // WEBSHOWDIALOG event Dialog Types 
   equ WBV_DLGTYPE_ALERT$                   to 0 ; // BO  (window.alert)
   equ WBV_DLGTYPE_CONFIRM$                 to 1 ; // BOC (window.confirm)
   equ WBV_DLGTYPE_PROMPT$                  to 2 ; // RC  (window.prompt)
   equ WBV_DLGTYPE_BEFOREUNLOAD$            to 3 ; // LeavePage/StayOnPage
   
   // Leave/Stay buttons for OIWIN_WEBSHOWDIALOG_BEFOREUNLOAD message
   equ WBV_MSG_BTN_LEAVE$                   to 1
   equ WBV_MSG_BTN_STAY$                    to 2

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // PRINTTOPDF method equates
   //
   //    RetVal = Exec_Method( CtrlEntID, "PRINTTOPDF", PrintSettings )
   //
   // 
   // PrintSettings parameter
   // -----------------------
   //
   //    <1>  PrintHeaderAndFooter      (Bool    - defaults to FALSE$)
   //    <2>  PrintSelectedOnly         (Bool    - defaults to FALSE$)
   //    <3>  PrintBackgrounds          (Bool    - defaults to FALSE$)
   //    <4>  HeaderTitle               (String  - use "<no-title>" for no title)
   //    <5>  FooterURI                 (String  - use "<no-uri>" for no URI)
   //    <6>  Landscape                 (Bool    - defaults to FALSE$)
   //    <7>  PageWidth                 (Inches  - defaults to 8.5)
   //    <8>  PageHeight                (Inches  - defaults to 11.0)
   //    <9>  LeftMargin                (Inches  - defaults to ~0.4)
   //    <10> TopMargin                 (Inches  - defaults to ~0.4)
   //    <11> RightMargin               (Inches  - defaults to ~0.4)
   //    <12> BottomMargin              (Inches  - defaults to ~0.4)
   //    <13> ScaleFactor               (Numeric - defaults to 1.0)
   
   equ WBV_P2PDFSET_POS_HDRANDFTR$         to 1
   equ WBV_P2PDFSET_POS_SELONLY$           to 2
   equ WBV_P2PDFSET_POS_BACKGROUND$        to 3
   equ WBV_P2PDFSET_POS_HDRTITLE$          to 4
   equ WBV_P2PDFSET_POS_FTRURI$            to 5
   equ WBV_P2PDFSET_POS_LANDSCAPE$         to 6
   equ WBV_P2PDFSET_POS_PAGEWIDTH$         to 7
   equ WBV_P2PDFSET_POS_PAGEHEIGHT$        to 8
   equ WBV_P2PDFSET_POS_LEFTMARGIN$        to 9
   equ WBV_P2PDFSET_POS_TOPMARGIN$         to 10
   equ WBV_P2PDFSET_POS_RIGHTMARGIN$       to 11
   equ WBV_P2PDFSET_POS_BOTTOMMARGIN$      to 12
   equ WBV_P2PDFSET_POS_SCALEFACTOR$       to 13
   
   equ WBV_P2PDFSET_NO_HDRTITLE$           to "<no-title>"
   equ WBV_P2PDFSET_NO_FTRURI$             to "<no-uri>"
   
///////////////////////////////////////////////////////////////////////////////

   // PROFILENAME property
   //
   // Validation requirements:
   //
   // It has a maximum length of 64 characters excluding the null-terminator. 
   // It is ASCII case insensitive.
   //
   //    alphabet characters: a-z and A-Z
   //    
   //    digit characters: 0-9
   //
   //    symbol characters: '#', 
   //                       '@', 
   //                       '$', 
   //                       '(', 
   //                       ')', 
   //                       '+', 
   //                       '-', 
   //                       '_', 
   //                       '~', 
   //                       '.', 
   //                       ' ' (space).
   //
   // Note: the text must not end with a period '.' or ' ' (space). And, 
   // although upper-case letters are allowed, they're treated just as 
   // lower-case counterparts because the profile name will be mapped to 
   // the real profile directory path on disk and Windows file system handles 
   // path names in a case-insensitive way.
   
   equ WBV_PROFILENAME_VALIDCHARS$  to "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789#@$()+-_~. "
   equ WBV_PROFILENAME_BADENDCHARS$ to ". "
   equ WBV_PROFILENAME_MAXCHARS$    to 64
   
///////////////////////////////////////////////////////////////////////////////

   // SETTINGS property - this is a dynamic array of flags that map into the 
   // ICoreWebView2Settings and derived interfaces.
   //
   // At runtime it is @fm delimited when used with Get/Set_Property. In the 
   // OIWIN and OIWINEXE structure it is @svm delimited.
   //
   //    <1>  EnableAccleratorKeys         (Bool - defaults to TRUE$)
   //    <2>  EnableAutoFill               (Bool - defaults to TRUE$)
   //    <3>  EnableContextMenus           (Bool - defaults to TRUE$)
   //    <4>  EnableDevTools               (Bool - defaults to TRUE$)
   //    <5>  EnableDefaultErrorPage       (Bool - defaults to TRUE$)
   //    <6>  EnablePasswordAutoSave       (Bool - defaults to FALSE$)
   //    <7>  EnablePinchZoom              (Bool - defaults to TRUE$)
   //    <8>  EnableScripts                (Bool - defaults to TRUE$)
   //    <9>  EnableScriptDialogs          (Bool - defaults to TRUE$)
   //    <10> EnableSwipeNavigation        (Bool - defaults to TRUE$)
   //    <11> EnableStatusBar              (Bool - defaults to TRUE$)
   //    <12> EnableWebMessages            (Bool - defaults to TRUE$)
   //    <13> EnableZoom                   (Bool - defaults to TRUE$)
   
   equ WBV_SET_POS_ACCELERATORKEYS$          to 1
   equ WBV_SET_POS_AUTOFILL$                 to 2
   equ WBV_SET_POS_CONTEXTMENUS$             to 3
   equ WBV_SET_POS_DEVTOOLS$                 to 4
   equ WBV_SET_POS_DEFAULTERRORPAGE$         to 5
   equ WBV_SET_POS_PASSWORDAUTOSAVE$         to 6
   equ WBV_SET_POS_PINCHZOOM$                to 7
   equ WBV_SET_POS_SCRIPTS$                  to 8
   equ WBV_SET_POS_SCRIPTDIALOGS$            to 9
   equ WBV_SET_POS_SWIPENAVIGATION$          to 10
   equ WBV_SET_POS_STATUSBAR$                to 11
   equ WBV_SET_POS_WEBMESSAGES$              to 12
   equ WBV_SET_POS_ZOOM$                     to 13
   
///////////////////////////////////////////////////////////////////////////////

   // PDFTOOLBARSETTINGS property - this is a dynamic array of flags that map 
   // into the ICoreWebView2Settings7 COREWEBVIEW2_PDF_TOOLBAR_ITEMS bit flags.
   //
   // At runtime it is @fm delimited when used with Get/Set_Property. In the 
   // OIWIN and OIWINEXE structure it is @svm delimited.
   //
   // All of these values default to FALSE$.
   //
   //    <1>  HideBookMarks         COREWEBVIEW2_PDF_TOOLBAR_ITEMS_BOOKMARKS
   //    <2>  HideFitPage           COREWEBVIEW2_PDF_TOOLBAR_ITEMS_FIT_PAGE
   //    <3>  HidePageLayout        COREWEBVIEW2_PDF_TOOLBAR_ITEMS_PAGE_LAYOUT
   //    <4>  HidePageSelector      COREWEBVIEW2_PDF_TOOLBAR_ITEMS_PAGE_SELECTOR
   //    <5>  HidePrint             COREWEBVIEW2_PDF_TOOLBAR_ITEMS_PRINT
   //    <6>  HideRotate            COREWEBVIEW2_PDF_TOOLBAR_ITEMS_ROTATE
   //    <7>  HideSave              COREWEBVIEW2_PDF_TOOLBAR_ITEMS_SAVE
   //    <8>  HideSaveAs            COREWEBVIEW2_PDF_TOOLBAR_ITEMS_SAVE_AS
   //    <9>  HideSearch            COREWEBVIEW2_PDF_TOOLBAR_ITEMS_SEARCH
   //    <10> HideZoomIn            COREWEBVIEW2_PDF_TOOLBAR_ITEMS_ZOOM_IN
   //    <11> HideZoomOut           COREWEBVIEW2_PDF_TOOLBAR_ITEMS_ZOOM_OUT
   
   equ WBV_PDFTBRSET_POS_HIDEBOOKMARKS$      to 1
   equ WBV_PDFTBRSET_POS_HIDEFITPAGE$        to 2
   equ WBV_PDFTBRSET_POS_HIDEPAGELAYOUT$     to 3
   equ WBV_PDFTBRSET_POS_HIDEPAGESELECTOR$   to 4
   equ WBV_PDFTBRSET_POS_HIDEPRINT$          to 5
   equ WBV_PDFTBRSET_POS_HIDEROTATE$         to 6
   equ WBV_PDFTBRSET_POS_HIDESAVE$           to 7
   equ WBV_PDFTBRSET_POS_HIDESAVEAS$         to 8
   equ WBV_PDFTBRSET_POS_HIDESEARCH$         to 9
   equ WBV_PDFTBRSET_POS_HIDEZOOMIN$         to 10
   equ WBV_PDFTBRSET_POS_HIDEZOOMOUT$        to 11
   
///////////////////////////////////////////////////////////////////////////////

   // CLEARBROWSINGDATA equates
   //
   //    call exec_Method( ctrlEntID, "CLEARBROWSINGDATA", 
   //                      dataTypes, 
   //                      dateTimeFrom, 
   //                      dateTimeFrom )
   //
   // The dataTypes parameter is an @fm delimited array of types to clear.
   // Note that it is actually a hierarachy of types like so:
   //
   //    DataType                   (Internal WebVew2 type)
   //    =======================    =======================================================
   //    All Profile                COREWEBVIEW2_BROWSING_DATA_KINDS_ALL_PROFILE
   //       All Site Data              COREWEBVIEW2_BROWSING_DATA_KINDS_ALL_SITE
   //          All DOM Storage            COREWEBVIEW2_BROWSING_DATA_KINDS_ALL_DOM_STORAGE
   //             File Systems               COREWEBVIEW2_BROWSING_DATA_KINDS_FILE_SYSTEMS
   //             Indexed DB                 COREWEBVIEW2_BROWSING_DATA_KINDS_INDEXED_DB
   //             Local Storage              COREWEBVIEW2_BROWSING_DATA_KINDS_LOCAL_STORAGE
   //             Web SQL                    COREWEBVIEW2_BROWSING_DATA_KINDS_WEB_SQL
   //             Cache Storage              COREWEBVIEW2_BROWSING_DATA_KINDS_CACHE_STORAGE
   //          Cookies                    COREWEBVIEW2_BROWSING_DATA_KINDS_COOKIES
   //       Disk Cache                 COREWEBVIEW2_BROWSING_DATA_KINDS_DISK_CACHE
   //       Download History           COREWEBVIEW2_BROWSING_DATA_KINDS_DOWNLOAD_HISTORY
   //       General Autofill           COREWEBVIEW2_BROWSING_DATA_KINDS_GENERAL_AUTOFILL
   //       Password Autosave          COREWEBVIEW2_BROWSING_DATA_KINDS_PASSWORD_AUTOSAVE
   //       Browsing History           COREWEBVIEW2_BROWSING_DATA_KINDS_BROWSING_HISTORY
   //       Settings                   COREWEBVIEW2_BROWSING_DATA_KINDS_SETTINGS
   //
   // So clearing "All DOM Storage" will actually clear this data:
   //
   //      File Systems
   //      Indexed DB
   //      Local Storage
   //      Web SQL
   //      Cache Storage
   //
   // Clearing "All Site Data" will clear All DOM Storage and Cookies, etc.
   
   equ WBV_CBD_POS_ALLPROFILE$               to 1
   equ WBV_CBD_POS_ALLSITEDATA$              to 2
   equ WBV_CBD_POS_ALLDOMSTORAGE$            to 3
   equ WBV_CBD_POS_FILESYSTEMS$              to 4
   equ WBV_CBD_POS_INDEXEDDB$                to 5
   equ WBV_CBD_POS_LOCALSTORAGE$             to 6
   equ WBV_CBD_POS_WEBSQL$                   to 7
   equ WBV_CBD_POS_CACHESTORAGE$             to 8
   equ WBV_CBD_POS_COOKIES$                  to 9
   equ WBV_CBD_POS_DISKCACHE$                to 10
   equ WBV_CBD_POS_DOWNLOADHISTORY$          to 11
   equ WBV_CBD_POS_GENERALAUTOFILL$          to 12
   equ WBV_CBD_POS_PASSWORDAUTOSAVE$         to 13
   equ WBV_CBD_POS_BROWSINGHISTORY$          to 14
   equ WBV_CBD_POS_SETTINGS$                 to 15
   
///////////////////////////////////////////////////////////////////////////////

   // GETCOOKIES/SETCOOKIE methods
   //
   // Cookie data in these methods comprises an @vm-delimited array like so:
   //
   //    <0,1> Name
   //    <0,2> Value
   //    <0,3> Domain
   //    <0,4> Path
   //    <0,5> Expires        (DateTime)
   //    <0,6> Secure         (bool)
   //    <0,7> HTTPOnly       (bool)
   //    <0,8> SameSite       (None,Lax,Strict)
   //    <0,9> SessionOnly    (bool) - GetCookies only.
   
   equ WBV_COOKIE_POS_NAME$                  to 1
   equ WBV_COOKIE_POS_VALUE$                 to 2
   equ WBV_COOKIE_POS_DOMAIN$                to 3
   equ WBV_COOKIE_POS_PATH$                  to 4
   equ WBV_COOKIE_POS_EXPIRES$               to 5
   equ WBV_COOKIE_POS_SECURE$                to 6
   equ WBV_COOKIE_POS_HTTPONLY$              to 7
   equ WBV_COOKIE_POS_SAMESITE$              to 8
   equ WBV_COOKIE_POS_SESSIONONLY$           to 9
   
   equ WBV_COOKIE_SAMESITE_NONE$             to "None"
   equ WBV_COOKIE_SAMESITE_LAX$              to "Lax"
   equ WBV_COOKIE_SAMESITE_STRICT$           to "Strict"
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // WEBINITCONTEXTMENT event - targetInfo argument
   
   // Target types (COREWEBVIEW2_CONTEXT_MENU_TARGET_KIND)
   equ WBV_TARGET_TYPE_PAGE$                 to 0
   equ WBV_TARGET_TYPE_IMAGE$                to 1
   equ WBV_TARGET_TYPE_SELECTEDTEXT$         to 2
   equ WBV_TARGET_TYPE_AUDIO$                to 3
   equ WBV_TARGET_TYPE_VIDEO$                to 4
   
   //    <0,1>  Type
   //    <0,2>  IsEditable
   //    <0,3>  PageUri
   //    <0,4>  SourceUri
   //    <0,5>  LinkUri
   //    <0,6>  LinkText
   //    <0,7>  FrameUri
   //    <0,8>  SelectionText
   //    <0,9>  MainFrameRequest
   equ WBV_TARGETINFO_POS_TYPE$              to 1
   equ WBV_TARGETINFO_POS_EDITABLE$          to 2
   equ WBV_TARGETINFO_POS_PAGEURI$           to 3
   equ WBV_TARGETINFO_POS_SOURCEURI$         to 4
   equ WBV_TARGETINFO_POS_LINKURI$           to 5
   equ WBV_TARGETINFO_POS_LINKTEXT$          to 6
   equ WBV_TARGETINFO_POS_FRAMEURI$          to 7  
   equ WBV_TARGETINFO_POS_SELECTEDTEXT$      to 8
   equ WBV_TARGETINFO_POS_MAINFRAMEREQUEST$  to 9
   

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // WEBNAVIGATED event 
   
   // StatusInfo parameter
   //
   //    <0,1> SuccessFlag (T/F)
   //    <0,2> HTTPStatus code
   //    <0,3> WebErrorStatus code
   
   equ WBV_NAV_STATUS_POS_SUCCESSFLAG$                                  to 1
   equ WBV_NAV_STATUS_POS_HTTPSTATUSCODE$                               to 2
   equ WBV_NAV_STATUS_POS_WEBERRORSTATUS$                               to 3
   
   // WebErrorStatus codes
   
   equ WBV_WEB_ERROR_STATUS_UNKNOWN$                                    to 0
   equ WBV_WEB_ERROR_STATUS_CERTIFICATE_COMMON_NAME_IS_INCORRECT$       to 1
   equ WBV_WEB_ERROR_STATUS_CERTIFICATE_EXPIRED$                        to 2
   equ WBV_WEB_ERROR_STATUS_CLIENT_CERTIFICATE_CONTAINS_ERRORS$         to 3
   equ WBV_WEB_ERROR_STATUS_CERTIFICATE_REVOKED$                        to 4
   equ WBV_WEB_ERROR_STATUS_CERTIFICATE_IS_INVALID$                     to 5
   equ WBV_WEB_ERROR_STATUS_SERVER_UNREACHABLE$                         to 6
   equ WBV_WEB_ERROR_STATUS_TIMEOUT$                                    to 7
   equ WBV_WEB_ERROR_STATUS_ERROR_HTTP_INVALID_SERVER_RESPONSE$         to 8
   equ WBV_WEB_ERROR_STATUS_CONNECTION_ABORTED$                         to 9
   equ WBV_WEB_ERROR_STATUS_CONNECTION_RESET$                           to 10
   equ WBV_WEB_ERROR_STATUS_DISCONNECTED$                               to 11
   equ WBV_WEB_ERROR_STATUS_CANNOT_CONNECT$                             to 12
   equ WBV_WEB_ERROR_STATUS_HOST_NAME_NOT_RESOLVED$                     to 13
   equ WBV_WEB_ERROR_STATUS_OPERATION_CANCELED$                         to 14
   equ WBV_WEB_ERROR_STATUS_REDIRECT_FAILED$                            to 15
   equ WBV_WEB_ERROR_STATUS_UNEXPECTED_ERROR$                           to 16
   equ WBV_WEB_ERROR_STATUS_VALID_AUTHENTICATION_CREDENTIALS_REQUIRED$  to 17
   equ WBV_WEB_ERROR_STATUS_VALID_PROXY_AUTHENTICATION_REQUIRED$        to 18
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // WEBPERMISSIONREQUEST event and SETPERMISSION method
   
   // Permission Type
   equ WBV_PERMTYPE_UNKNOWN$                 to 0
   equ WBV_PERMTYPE_MICROPHONE$              to 1
   equ WBV_PERMTYPE_CAMERA$                  to 2
   equ WBV_PERMTYPE_GEOLOCATION$             to 3
   equ WBV_PERMTYPE_NOTIFICATIONS$           to 4
   equ WBV_PERMTYPE_OTHERSENSOR$             to 5
   equ WBV_PERMTYPE_CLIPBOARDREAD$           to 6
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // WEBOPENWINDOW event - WindowInfo parameter
   //
   // Note that it's possible for the size and position values to be null if
   // this wasn't specified in the originating window.open() call.
   //
   // <0,1>  WindowName
   // <0,2>  Left
   // <0,3>  Top
   // <0,4>  Width
   // <0,5>  Height
   // <0,6>  ShowMenuBar
   // <0,7>  ShowScrollBars
   // <0,8>  ShowStatusBar
   // <0,9>  ShowToolBar
   
   equ WBV_WI_POS_WINDOWNAME$                to 1
   equ WBV_WI_POS_LEFT$                      to 2
   equ WBV_WI_POS_TOP$                       to 3
   equ WBV_WI_POS_WIDTH$                     to 4
   equ WBV_WI_POS_HEIGHT$                    to 5
   equ WBV_WI_POS_SHOWMENUBAR$               to 6
   equ WBV_WI_POS_SHOWSCROLLBARS$            to 7
   equ WBV_WI_POS_SHOWSTATUSBAR$             to 8
   equ WBV_WI_POS_SHOWTOOLBAR$               to 9
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // MAPHOSTNAMETOFOLDER method equates
   
   // AccessType parameter
   equ WBV_MH2F_ACCESS_TYPE_DENY$            to 0
   equ WBV_MH2F_ACCESS_TYPE_ALLOW$           to 1
   equ WBV_MH2F_ACCESS_TYPE_DENY_CORS$       to 2
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

   // READYSTATE property equates
   
   equ WBV_READYSTATE_UNINITIALIZED$          to 0
   equ WBV_READYSTATE_NAVIGATING$             to 1
   equ WBV_READYSTATE_CONTENTLOADING$         to 2
   equ WBV_READYSTATE_CONTENTLOADED$          to 3
   equ WBV_READYSTATE_NAVIGATED$              to 4
   
   
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

